### Function

# Camel AsyncClosure new

since: 3.12

#### Declaration [src]

    CamelAsyncClosure*
    camel_async_closure_new (
      void
    )

#### Description [src]

Creates a new `CamelAsyncClosure` for use with asynchronous functions.

Available since: 3.12

This function is not directly available to language bindings.

#### Return value

Type: `CamelAsyncClosure`

A new `CamelAsyncClosure`.

The data is owned by the called function.